eRMC
    • Operator Integration Guide for ERMC & SDK
    • report-settled-bet-event
      POST
    • settle-withdrawal
      POST
    • nin verification
      POST
    • Schemas
      • settle withdrawal
      • report-settled-bet-event

      report-settled-bet-event

      Developing
      POST
      /integration-gateway/external/report-settled-bet-event
      Report a finalized bet conclusion

      Request

      Header Params

      Body Params application/json

      Examples

      Responses

      🟢200Success
      application/json
      Body

      🟠401Unauthorized
      🟠422Parameter Error
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST '/integration-gateway/external/report-settled-bet-event' \
      --header 'x-api-key;' \
      --header 'Content-Type: application/json' \
      --data-raw '{
        "bet_id": "BET123456789",
        "user": {
          "user_id": "USR000001",
          "first_name": "John",
          "last_name": "Doe",
          "resident_address": "15 Admiralty Way, Lekki",
          "resident_lga": "Eti-Osa",
          "resident_state": "LAGOS",
          "is_resident": true,
          "nin": "12345678901",
          "tax_id": "TAX-11223344"
        },
        "win_amount": 5000,
        "payout_amount": 7500,
        "outcome": "WIN",
        "ggr": 2500,
        "ur": 0
      }'
      Response Response Example
      200 - Example 1
      {}
      Modified at 2026-02-23 10:48:54
      Previous
      Operator Integration Guide for ERMC & SDK
      Next
      settle-withdrawal
      Built with